SDL_GPUColorTargetDescription Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUColorTargetDescription:
[legend]

## Data Fields

SDL_GPUTextureFormat | format
SDL_GPUColorTargetBlendState | blend_state

## Detailed Description

A structure specifying the parameters of color targets used in a graphics pipeline.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUGraphicsPipelineTargetInfo

Definition at line 1899 of file SDL_gpu.h.

## Field Documentation

## blend_state

SDL_GPUColorTargetBlendState SDL_GPUColorTargetDescription::blend_state

The blend state to be used for the color target.

Definition at line 1902 of file SDL_gpu.h.

## format

SDL_GPUTextureFormat SDL_GPUColorTargetDescription::format

The pixel format of the texture to be used as a color target.

Definition at line 1901 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h